明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 195|回复: 2

[源码] 提取文本,帮忙修改源码

[复制链接]
发表于 2019-5-13 23:04 | 显示全部楼层 |阅读模式
提取文本,帮忙修改源码,此LISP来自本论坛,感谢原版主的创作,现在想在提取的文字前加上“梁高””  (比如标注的尺寸3500  运行命令后变为 得到的文字直接=梁高3500


(defun C:TT(/ ss ss1 ss2 pt )


(while (setq ss (entsel "请选择标注:\n"))


(setq    ss1 (car ss)


                     pt (cadr ss)


)


(if (= (cdr (assoc 0 (entget ss1)) )  "DIMENSION")


                (progn


(setq ss (ssadd ss1))


(command ".EXPLODE" ss)


(setq ss1 (ssget "P" '((0 . "*text"))))


(setq ss2 (entget (ssname ss1 0)))


(command "undo" "")


(entmake ss2)


(setq ss1 (entlast))


(command "_move" ss1 "" pt pause)


   )


发表于 2019-5-14 09:06 | 显示全部楼层
本帖最后由 satan421 于 2019-5-15 08:33 编辑

  1.         (setq n (cons 1 (strcat "梁高" (cdr (setq o (assoc '1 ss2))))))
  2.         (setq ss2 (subst n o ss2))
 楼主| 发表于 2019-5-15 22:21 | 显示全部楼层
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-5-24 05:28 , Processed in 0.154918 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表